### Function

# GLib VariantType new_dict_entry

since: 2.24

#### Declaration

    GVariantType*
    g_variant_type_new_dict_entry (
      const GVariantType* key,
      const GVariantType* value
    )

#### Description

Constructs the type corresponding to a dictionary entry with a key of type `key` and a value of type `value`.

It is appropriate to call `g_variant_type_free()` on the return value.

Available since: 2.24

#### Parameters

`key`

  Type: `GVariantType`

  A basic `GVariantType`.

  The data is owned by the caller of the function.

`value`

  Type: `GVariantType`

  A `GVariantType`.

  The data is owned by the caller of the function.

#### Return value

Type: `GVariantType`

A new dictionary entry `GVariantType`

Since 2.24

The caller of the function takes ownership of the data, and is responsible for freeing it.